/*
    This Software (C) Copyright David Goodwin, 2007, 2008.
    
     This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
/*
 * LTSNode.java
 *
 * Created on 24 July 2007, 21:02
 */

package assignment;

/**
 *
 * @author David
 */
public class LTSNode {
    
    protected String NodeName;
    
    /** Creates a new instance of LTSNode */
    public LTSNode() {
        
    }
    
    public LTSNode(String name) {
        setName(name);
    }
    
    public void setName(String name) {
        NodeName = name;
    }
    
    public String getName() {
        return NodeName;
    }
    
    public String toString() {
        return getName();
    }
    
    public boolean equals(LTSNode n) {
        if (n.getName().equals(getName()))
            return true;
        return false;
    }
    
    public boolean equals(Object o) {
        try {
            LTSNode n = (LTSNode) o;
            return equals(n);
        }
        catch (Exception e) {
            return false;
        }
    }

    public String getNodeName() {
        return NodeName;
    }
    
    public int hashCode() {
        // Currently this is just a wrapper arround the node name so the hashCode for the
        // string containing the nodename should be good enough. Should any additional fields
        // be added this should be replaced with somthing better.
        return getName().hashCode();
    }
}
