/*
    This Software (C) Copyright David Goodwin, 2007, 2008.
    
     This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
/*
 * LTSNodeTest.java
 * JUnit based test
 *
 * Created on 25 July 2007, 02:04
 */

package assignment;

import junit.framework.*;

/**
 *
 * @author David
 */
public class LTSNodeTest extends TestCase {
    
    public LTSNodeTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
    }

    protected void tearDown() throws Exception {
    }

    /**
     * Test of setName method, of class LTSNode.
     */
    public void testSetGetName() {
        System.out.println("setName");
        
        String name = "Name";
        LTSNode instance = new LTSNode();
        
        instance.setName(name);
        
        assertEquals(name,instance.getName());

    }

    public void testToString() {
        LTSNode theNode = new LTSNode("name");
        assertEquals("name",theNode.toString());
    }
    
    public void testEquals() {
        LTSNode n1 = new LTSNode("name");
        LTSNode n2 = new LTSNode("name");
        LTSNode n3 = new LTSNode("!name");
        
        assertEquals(true,n1.equals(n2));
        assertEquals(false,n1.equals(n3));
    }
    
}
